Deletes people by email
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/person/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"email1@gmail.com",
"email2@gmail.com",
"email3@gmail.com"
]
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/person/delete"
payload = { "emails": ["email1@gmail.com", "email2@gmail.com", "email3@gmail.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['email1@gmail.com', 'email2@gmail.com', 'email3@gmail.com']})
};
fetch('https://api.rallyuxr.com/api/public/v1/person/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personsDeletedCount": 123
}{
"message": "Emails field cannot be empty."
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Person
Deletes people by email
deprecated
Deletes all data for a set of persons by email within 90 days. Deprecated, use POST /people/delete or DELETE /people/{personId} instead
POST
/
person
/
delete
Deletes people by email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of email addresses to be deleted.
Response
Successfully scheduled delete of all persons with provided emails.
Number of person records softly deleted.
⌘I